--- mairix-0.21.orig/debian/changelog
+++ mairix-0.21/debian/changelog
@@ -0,0 +1,165 @@
+mairix (0.21-1) unstable; urgency=low
+
+ * New upstream version. Closes: #438778
+ * Installs mairixrc manpage. Closes: #419069
+ * Fixes problems with segfaulting. Closes: #419138, #416999
+ * Fix handling of broken attachments. Closes: #417001
+
+ -- Benjamin Mako Hill <mako@debian.org> Thu, 23 Aug 2007 10:07:24 -0400
+
+mairix (0.20-1) unstable; urgency=low
+
+ * New upstream release. Closes: #416268
+ * Fix incorrect filename in postinst. Closes: #395117
+ * Updated documenation fixes previous inaccuracies: Closes: #355838
+ * Replaced Debian manpage with upstream manpage.
+
+ -- Benjamin Mako Hill <mako@debian.org> Sat, 31 Mar 2007 00:43:21 -0400
+
+mairix (0.17-2) unstable; urgency=low
+
+ * Fixed version number. Closes: #340827
+ * Added build-depends on zlib to gain gzip mbox support. Closes: #307432
+
+ -- Benjamin Mako Hill <mako@debian.org> Mon, 5 Dec 2005 10:47:53 -0500
+
+
+mairix (0.17-1) unstable; urgency=low
+
+ * New upstream release. Closes: #340316
+
+ -- Benjamin Mako Hill <mako@debian.org> Thu, 24 Nov 2005 15:33:26 -0500
+
+mairix (0.16.1-1) unstable; urgency=low
+
+ * New upstream release.
+
+ -- Benjamin Mako Hill <mako@debian.org> Sun, 11 Sep 2005 19:20:22 -0400
+
+mairix (0.15.2-3) unstable; urgency=low
+
+ * New maintainer. Closes: #297434
+
+ -- Benjamin Mako Hill <mako@debian.org> Thu, 10 Mar 2005 16:36:19 -0500
+
+mairix (0.15.2-2) unstable; urgency=low
+
+ * Orphan package as in bug #297434.
+ Thanks to Benjamin Mako Hill for agreeing to adopt this package
+
+ -- Kevin M. Rosenberg <kmr@debian.org> Sat, 5 Mar 2005 13:23:55 -0700
+
+mairix (0.15.2-1) unstable; urgency=low
+
+ * New upstream (closes:295214)
+
+ -- Kevin M. Rosenberg <kmr@debian.org> Mon, 14 Feb 2005 18:51:44 -0700
+
+mairix (0.15.1-1) unstable; urgency=low
+
+ * New upstream
+
+ -- Kevin M. Rosenberg <kmr@debian.org> Thu, 23 Dec 2004 19:41:48 -0700
+
+mairix (0.15-3) unstable; urgency=low
+
+ * Fix typo in man page (closes:270986)
+
+ -- Kevin M. Rosenberg <kmr@debian.org> Fri, 10 Sep 2004 08:38:41 -0600
+
+mairix (0.15-2) unstable; urgency=low
+
+ * Update descripton (closes:265008)
+
+ -- Kevin M. Rosenberg <kmr@debian.org> Wed, 11 Aug 2004 12:57:53 -0600
+
+mairix (0.15-1) unstable; urgency=high
+
+ * New upstream (closes:251402,250420,250409)
+
+ -- Kevin M. Rosenberg <kmr@debian.org> Wed, 4 Aug 2004 23:01:48 -0600
+
+mairix (0.14+pre.0.15.patch-12-1) unstable; urgency=low
+
+ * New pre-release upstream
+
+ -- Kevin M. Rosenberg <kmr@debian.org> Thu, 8 Jul 2004 21:09:25 -0600
+
+mairix (0.14-1) unstable; urgency=low
+
+ * Fixed path search (closes:224179)
+ * Update web site address (closes:229739)
+ * Allow use of '+' as a search character (closes:215692)
+ * Update copyright years
+
+ -- Kevin M. Rosenberg <kmr@debian.org> Mon, 26 Jan 2004 08:29:22 -0700
+
+mairix (0.11-3) unstable; urgency=low
+
+ * Add flex to build-dep (closes: 200406)
+
+ -- Kevin M. Rosenberg <kmr@debian.org> Mon, 7 Jul 2003 21:44:30 -0600
+
+mairix (0.11-2) unstable; urgency=low
+
+ * Add bison to build-dep (closes: 200382)
+
+ -- Kevin M. Rosenberg <kmr@debian.org> Mon, 7 Jul 2003 15:41:34 -0600
+
+mairix (0.11-1) unstable; urgency=low
+
+ * New upstream
+ * Add to man page (closes:200290)
+
+ -- Kevin M. Rosenberg <kmr@debian.org> Mon, 7 Jul 2003 09:17:44 -0600
+
+mairix (0.10-1) unstable; urgency=low
+
+ * New upstream
+ * Build with gcc-3.2
+
+ -- Kevin M. Rosenberg <kmr@debian.org> Mon, 13 Jan 2003 21:07:35 -0700
+
+mairix (0.9-1) unstable; urgency=low
+
+ * New upstream (closes: 174704)
+
+ -- Kevin M. Rosenberg <kmr@debian.org> Mon, 30 Dec 2002 09:58:03 -0700
+
+mairix (0.6-1) unstable; urgency=low
+
+ * New upstream
+ * Patch to increase size of folder list (closes: 168593)
+
+ -- Kevin M. Rosenberg <kmr@debian.org> Sun, 10 Nov 2002 15:40:10 -0700
+
+mairix (0.5-1) unstable; urgency=low
+
+ * New upstream version
+
+ -- Kevin M. Rosenberg <kmr@debian.org> Fri, 11 Oct 2002 23:24:41 -0600
+
+mairix (0.4-4) unstable; urgency=low
+
+ * Update copyright file with new home page.
+
+ -- Kevin M. Rosenberg <kmr@debian.org> Thu, 12 Sep 2002 09:58:21 -0600
+
+mairix (0.4-3) unstable; urgency=low
+
+ * Wrote and added a man page.
+
+ -- Kevin M. Rosenberg <kmr@debian.org> Fri, 6 Sep 2002 21:45:00 -0600
+
+mairix (0.4-2) unstable; urgency=low
+
+ * Add tetex-extra to Build-Depends:
+
+ -- Kevin M. Rosenberg <kmr@debian.org> Fri, 6 Sep 2002 19:44:58 -0600
+
+mairix (0.4-1) unstable; urgency=low
+
+ * Initial Release.
+
+ -- Kevin M. Rosenberg <kmr@debian.org> Fri, 30 Aug 2002 02:53:33 -0600
+
--- mairix-0.21.orig/debian/compat
+++ mairix-0.21/debian/compat
@@ -0,0 +1 @@
+4
--- mairix-0.21.orig/debian/control
+++ mairix-0.21/debian/control
@@ -0,0 +1,27 @@
+Source: mairix
+Section: mail
+Priority: optional
+Maintainer: Benjamin Mako Hill <mako@debian.org>
+Build-Depends: debhelper (>= 4.0.0), bison, flex, libbz2-dev, zlib1g-dev
+Standards-Version: 3.7.2.2
+
+Package: mairix
+Architecture: any
+Depends: ${shlibs:Depends}
+Description: indexes and searches email in locally stored email
+ mairix is a program for indexing and searching locally stored email messages.
+ mairix supports Maildir, MH folders, and mbox formats.
+ .
+ * Indexing is fast. It runs incrementally on new messages - any
+ particular message only gets scanned once in the lifetime of the
+ index file.
+ .
+ * The search mode populates a "virtual" maildir folder with symlinks
+ which point to the real messages. This folder can be opened as usual
+ in your mail program.
+ .
+ * The search mode is very fast.
+ .
+ * Indexing and searching works on the basis of words. The index file
+ tabulates which words occur in which parts (particular headers +
+ body) of which messages.
--- mairix-0.21.orig/debian/copyright
+++ mairix-0.21/debian/copyright
@@ -0,0 +1,22 @@
+This package was debianized by Kevin M. Rosenberg <kmr@debian.org> on
+Fri, 30 Aug 2002 02:53:33 -0600.
+
+Upstream Home & Download links: http://www.rc0.org.uk/mairix/
+Upstream Author: Richard P. Curnow <rc@rc0.org.uk>
+
+
+Copyright:
+
+ Copyright (C) Richard P. Curnow 2002-2004
+
+ This program is free software; you can redistribute it and/or modify
+ it under the terms of version 2 of the GNU General Public License as
+ published by the Free Software Foundation.
+
+ This program is distributed in the hope that it will be useful, but
+ WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ General Public License for more details.
+
+ You should have received a copy of the GNU General Public License in your
+ Debian in the file /usr/share/common-licenses/GPL.
--- mairix-0.21.orig/debian/docs
+++ mairix-0.21/debian/docs
@@ -0,0 +1,5 @@
+ACKNOWLEDGEMENTS
+NEWS
+README
+dotmairixrc.eg
+old_docs
--- mairix-0.21.orig/debian/postinst
+++ mairix-0.21/debian/postinst
@@ -0,0 +1,48 @@
+#! /bin/sh
+# postinst script for mairix
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+# quoting from the policy:
+# Any necessary prompting should almost always be confined to the
+# post-installation script, and should be protected with a conditional
+# so that unnecessary prompting doesn't happen if a package's
+# installation fails and the `postinst' is called with `abort-upgrade',
+# `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+ configure)
+
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- mairix-0.21.orig/debian/postrm
+++ mairix-0.21/debian/postrm
@@ -0,0 +1,38 @@
+#! /bin/sh
+# postrm script for mairix
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
--- mairix-0.21.orig/debian/preinst
+++ mairix-0.21/debian/preinst
@@ -0,0 +1,44 @@
+#! /bin/sh
+# preinst script for mairix
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+#
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ install|upgrade)
+# if [ "$1" = "upgrade" ]
+# then
+# start-stop-daemon --stop --quiet --oknodo \
+# --pidfile /var/run/mairix.pid \
+# --exec /usr/sbin/mairix 2>/dev/null || true
+# fi
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- mairix-0.21.orig/debian/prerm
+++ mairix-0.21/debian/prerm
@@ -0,0 +1,39 @@
+#! /bin/sh
+# prerm script for mairix
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <prerm> `remove'
+# * <old-prerm> `upgrade' <new-version>
+# * <new-prerm> `failed-upgrade' <old-version>
+# * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+# * <deconfigured's-prerm> `deconfigure' `in-favour'
+# <package-being-installed> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ remove|upgrade|deconfigure)
+# install-info --quiet --remove /usr/info/mairix.info.gz
+ ;;
+ failed-upgrade)
+ ;;
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- mairix-0.21.orig/debian/rules
+++ mairix-0.21/debian/rules
@@ -0,0 +1,83 @@
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
+
+
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+ CFLAGS += -g
+endif
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+ INSTALL_PROGRAM += -s
+endif
+
+configure: configure-stamp
+configure-stamp:
+ dh_testdir
+ # Add here commands to configure the package.
+ ./configure --prefix=/usr
+ touch configure-stamp
+
+
+build: build-stamp
+
+build-stamp: configure-stamp
+ dh_testdir
+ # Add here commands to compile the package.
+ $(MAKE)
+ touch build-stamp
+
+clean:
+ dh_testdir
+ dh_testroot
+ rm -f build-stamp configure-stamp
+ # Add here commands to clean up after the build process.
+ -$(MAKE) clean distclean
+ rm -f config.log version.h Makefile
+ rm -f nvpscan.report datescan.report fromcheck.report
+ dh_clean
+
+install: build
+ dh_testdir
+ dh_testroot
+ dh_clean -k
+ dh_installdirs
+ # Add here commands to install the package into debian/mairix.
+ $(MAKE) install DESTDIR=$(CURDIR)/debian/mairix
+ # mairix's install creates an empty man directory and in wrong location
+ rm -rf debian/mairix/usr/man
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+ dh_testdir
+ dh_testroot
+# dh_installdebconf
+ dh_installdocs
+ dh_installexamples
+ dh_installmenu
+# dh_installlogrotate
+# dh_installemacsen
+# dh_installpam
+# dh_installmime
+# dh_installinit
+# dh_installcron
+ #dh_installinfo mairix.info
+ dh_installman mairix.1 mairixrc.5
+ dh_installchangelogs
+ dh_link
+ dh_strip
+ dh_compress
+ dh_fixperms
+# dh_makeshlibs
+ dh_installdeb
+# dh_perl
+ dh_shlibdeps
+ dh_gencontrol
+ dh_md5sums
+ dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure